Skip to main content
GET
/
api
/
v1
/
blocks
/
{id}
Get a content block by ID
curl --request GET \
  --url https://app.sajn.se/api/v1/blocks/{id} \
  --header 'authorization: <authorization>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "category": "<string>",
  "locale": "<string>",
  "isPublished": true,
  "sortOrder": 0,
  "workspaceId": "<string>",
  "organizationId": "<string>",
  "createdById": "<string>",
  "createdAt": "<unknown>",
  "updatedAt": "<unknown>",
  "fields": [
    {
      "id": "<string>",
      "type": "<string>",
      "position": 0,
      "fieldMeta": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.sajn.se/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string
required

Bearer token for API authentication

Path Parameters

id
string
required

Response

200

id
string
required
name
string
required
description
string | null
required
visibility
enum<string>
required
Available options:
PRIVATE,
WORKSPACE,
ORGANIZATION
category
string | null
required
locale
string
required
isPublished
boolean
required
sortOrder
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
workspaceId
string | null
required
organizationId
string | null
required
createdById
string
required
createdAt
any
required
updatedAt
any
required
fields
object[]
required